src/mesh/cs_join_perio.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
cs_join_perio.c File Reference
`#include "cs_defs.h"`
`#include <assert.h>`
`#include <string.h>`
`#include "bft_mem.h"`
`#include "bft_error.h"`
`#include "bft_printf.h"`
`#include "fvm_periodicity.h"`
`#include "cs_mesh.h"`
`#include "cs_search.h"`
`#include "cs_join_mesh.h"`
`#include "cs_join_post.h"`
`#include "cs_join_set.h"`
`#include "cs_join_perio.h"`
Include dependency graph for cs_join_perio.c:

## Functions
void | tstjpe (cs_int_t *iperio, cs_int_t *iperot)
int | cs_join_perio_add_translation (const char *sel_criteria, double fraction, double plane, int verbosity, int visualization, const double trans[3])
int | cs_join_perio_add_rotation (const char *sel_criteria, double fraction, double plane, int verbosity, int visualization, double theta, const double axis[3], const double invariant[3])
int | cs_join_perio_add_mixed (const char *sel_criteria, double fraction, double plane, int verbosity, int visualization, double matrix[3][4])
void | cs_join_perio_init (cs_join_t *this_join, cs_mesh_t *mesh, cs_mesh_builder_t **builder)
void | cs_join_perio_apply (cs_join_t *this_join, cs_join_mesh_t *jmesh, const cs_mesh_t *mesh)
void | cs_join_perio_merge_back (cs_join_t *this_join, cs_join_mesh_t *jmesh, const cs_mesh_t *mesh, cs_join_mesh_t **p_work_jmesh, cs_join_edges_t **p_work_edges, cs_gnum_t init_max_vtx_gnum, cs_gnum_t n_g_new_vertices)
void | cs_join_perio_split_back (cs_join_t *this_join, cs_join_mesh_t *jmesh, cs_mesh_t *mesh, cs_mesh_builder_t *builder, cs_join_gset_t *o2n_hist, cs_join_gset_t **p_n2o_hist)
void | cs_join_perio_split_update (cs_join_param_t param, cs_lnum_t n_ii_faces, const cs_join_face_type_t face_type[], const cs_join_mesh_t *jmesh, cs_mesh_t *mesh, cs_mesh_builder_t *mesh_builder)

## Function Documentation

int cs_join_perio_add_mixed | ( | const char * | sel_criteria,
|  | double | fraction,
|  | double | plane,
|  | int | verbosity,
|  | int | visualization,
|  | double | matrix[3][4]
| ) |  |

int cs_join_perio_add_rotation | ( | const char * | sel_criteria,
|  | double | fraction,
|  | double | plane,
|  | int | verbosity,
|  | int | visualization,
|  | double | theta,
|  | const double | axis[3],
|  | const double | invariant[3]
| ) |  |

int cs_join_perio_add_translation | ( | const char * | sel_criteria,
|  | double | fraction,
|  | double | plane,
|  | int | verbosity,
|  | int | visualization,
|  | const double | trans[3]
| ) |  |

void cs_join_perio_apply | ( | cs_join_t * | this_join,
|  | cs_join_mesh_t * | jmesh,
|  | const cs_mesh_t * | mesh
| ) |  |

void cs_join_perio_init | ( | cs_join_t * | this_join,
|  | cs_mesh_t * | mesh,
|  | cs_mesh_builder_t ** | builder
| ) |  |

void cs_join_perio_merge_back | ( | cs_join_t * | this_join,
|  | cs_join_mesh_t * | jmesh,
|  | const cs_mesh_t * | mesh,
|  | cs_join_mesh_t ** | p_work_jmesh,
|  | cs_join_edges_t ** | p_work_edges,
|  | cs_gnum_t | init_max_vtx_gnum,
|  | cs_gnum_t | n_g_new_vertices
| ) |  |

void cs_join_perio_split_back | ( | cs_join_t * | this_join,
|  | cs_join_mesh_t * | jmesh,
|  | cs_mesh_t * | mesh,
|  | cs_mesh_builder_t * | builder,
|  | cs_join_gset_t * | o2n_hist,
|  | cs_join_gset_t ** | p_n2o_hist
| ) |  |

void cs_join_perio_split_update | ( | cs_join_param_t | param,
|  | cs_lnum_t | n_ii_faces,
|  | const cs_join_face_type_t | face_type[],
|  | const cs_join_mesh_t * | jmesh,
|  | cs_mesh_t * | mesh,
|  | cs_mesh_builder_t * | mesh_builder
| ) |  |

void tstjpe | ( | cs_int_t * | iperio,
|  | cs_int_t * | iperot
| ) |  |